Loading...
Searching...
No Matches
blackoilsolventmodules.hh File Reference

Contains the classes required to extend the black-oil model by solvents. More...

`#include <dune/common/fvector.hh>`
`#include <opm/common/Exceptions.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/material/fluidsystems/blackoilpvt/SolventPvt.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/blackoil/blackoilsolventparams.hpp>`
`#include <opm/models/common/multiphasebaseparameters.hh>`
`#include <opm/models/common/quantitycallbacks.hh>`
`#include <opm/models/discretization/common/linearizationtype.hh>`
`#include <opm/models/io/vtkblackoilsolventmodule.hpp>`
`#include <algorithm>`
`#include <array>`
`#include <cassert>`
`#include <cmath>`
`#include <istream>`
`#include <memory>`
`#include <ostream>`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilSolventModule< TypeTag, enableSolventV >
| Contains the high level supplements required to extend the black oil model by solvents. More...
class | Opm::BlackOilSolventIntensiveQuantities< TypeTag, true >
class | Opm::BlackOilSolventIntensiveQuantities< TypeTag, false >
class | Opm::BlackOilSolventExtensiveQuantities< TypeTag, enableSolventV >
| Provides the solvent specific extensive quantities to the generic black-oil module's extensive quantities. More...
class | Opm::BlackOilSolventExtensiveQuantities< TypeTag, false >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<class TypeTag, bool enableSolventV>
BlackOilSolventParams< typename BlackOilSolventModule< TypeTag, enableSolventV >::Scalar > | Opm::BlackOilSolventModule< TypeTag, enableSolventV >::params_

## Detailed Description

Contains the classes required to extend the black-oil model by solvents.